Bug 1730219 - swift-lang: FTBFS in Fedora rawhide
Summary: swift-lang: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: swift-lang
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ron Olson
QA Contact: Fedora Extras Quality Assurance
URL: http://apps.fedoraproject.org/koschei...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-16 08:32 UTC by Jitka Plesnikova
Modified: 2019-08-20 15:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-20 15:07:01 UTC


Attachments (Terms of Use)

Description Jitka Plesnikova 2019-07-16 08:32:05 UTC
Description of problem:
Package swift-lang fails to build from source in Fedora rawhide with following error:

Traceback (most recent call last):
  File "/builddir/build/BUILD/swift-source/swift/utils/gyb", line 3, in <module>
    gyb.main()
  File "/builddir/build/BUILD/swift-source/swift/utils/gyb.py", line 1260, in main
    args.target.write(execute_template(ast, args.line_directive, **bindings))
  File "/builddir/build/BUILD/swift-source/swift/utils/gyb.py", line 1131, in execute_template
    ast.execute(execution_context)
  File "/builddir/build/BUILD/swift-source/swift/utils/gyb.py", line 635, in execute
    x.execute(context)
  File "/builddir/build/BUILD/swift-source/swift/utils/gyb.py", line 721, in execute
    result = eval(self.code, context.local_bindings)
  File "/builddir/build/BUILD/swift-source/swift/stdlib/public/core/IntegerTypes.swift.gyb", line 20, in <module>
    from string import maketrans, capitalize
ImportError: cannot import name 'maketrans' from 'string' (/usr/lib64/python3.7/string.py)

Version-Release number of selected component (if applicable):
5.0.1-0.56.20190418git604054e.fc31

Dependency changes from the last successful build can be found 
https://apps.fedoraproject.org/koschei/build/6686933

The main changes is
  python-unversioned-command 2.7.16-2.fc31 -> 3.7.4-3.fc31


Additional info:
This package is tracked by Koschei. See:
http://apps.fedoraproject.org/koschei/package/swift-lang

Comment 1 Ben Cotton 2019-08-13 17:08:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 2 Ben Cotton 2019-08-13 19:02:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 3 Ron Olson 2019-08-20 15:07:01 UTC
Resolved by porting the python build code from 2.7 to 3.x


Note You need to log in before you can comment on or make changes to this bug.